Bug 1043459 - Can not Install/boot up RHEL4.9 guest with GUI.
Summary: Can not Install/boot up RHEL4.9 guest with GUI.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm
Version: 7.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Hai Huang
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-16 11:33 UTC by Qian Guo
Modified: 2014-06-05 10:38 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
When running Red Hat Enterprise Linux 4.9 as a guest virtual machine on a Red Hat Enterprise Linux 7 host, the guest is unable to detect VGA drivers. As a consequence, the GUI does not work. To work around this problem, access the Red Hat Enterprise Linux 4.9 server over an SSH connection using a command line interface, or upgrade the server to Red Hat Enterprise Linux 6 or Red Hat Enterprise Linux 7.
Clone Of:
Environment:
Last Closed: 2014-01-06 20:41:02 UTC
Target Upstream Version:


Attachments (Terms of Use)
Xlog.1.log of this guest (12.51 KB, text/x-log)
2013-12-16 11:33 UTC, Qian Guo
no flags Details

Description Qian Guo 2013-12-16 11:33:02 UTC
Created attachment 837218 [details]
Xlog.1.log of this guest

Description of problem:
In RHEL7 host, rhel4.9 guest can not detect the vga drivers, all of std/cirrus/qxl can not be drived

Version-Release number of selected component (if applicable):
# uname -r
3.10.0-61.el7.x86_64
# rpm -q qemu-kvm
qemu-kvm-1.5.3-21.el7.x86_64

Guest components:
# uname -r
2.6.9-100.ELsmp


How reproducible:
100%

Steps to Reproduce:
1.Install/Boot RHEL4.9 guest and try to install Desktop environment.
2.
3.

Actual results:
1.During installation, it prompts that can not install with GUI, so need select text mode to install

2.When installing, even selected the Desktop component, after bootup, guest can not boot up with GUI when guest is booting with std/cirrus/qxl(qxl is not support default by guest).

Inside guest:
# lspci |grep VGA
00:02.0 VGA compatible controller: Technical Corp.: Unknown device 1111


I will attach the Xorg.1.log
Expected results:


Additional info:

Comment 1 Qian Guo 2013-12-16 11:36:03 UTC
I tried same cli, same guest in rhel6.5 host, this RHEL4.9 guest can boot successfully with GUI.


Note You need to log in before you can comment on or make changes to this bug.